//#region ../../node_modules/langium/lib/parser/async-parser.js
var e = class {
	constructor(e) {
		this.syncParser = e.parser.LangiumParser;
	}
	parse(e, t) {
		return Promise.resolve(this.syncParser.parse(e));
	}
};
//#endregion
export { e as DefaultAsyncParser };
